OpenVDB 7.0.0

Static Public Member Functions | List of all members
HalfReader< false, T > Struct Template Reference

Partial specialization for non-floating-point types (no half to float promotion) More...

`#include <Compression.h>`

## Static Public Member Functions
static void | read (std::istream &is, T *data, Index count, uint32_t compression, DelayedLoadMetadata *metadata=nullptr, size_t metadataOffset=size_t(0))

## Detailed Description

### template<typename T>
struct openvdb::v7_0::io::HalfReader< false, T >

Partial specialization for non-floating-point types (no half to float promotion)

## Member Function Documentation

## ◆ read()

static void read | ( | std::istream & | is,
|  | T * | data,
|  | Index | count,
|  | uint32_t | compression,
|  | DelayedLoadMetadata * | metadata = `nullptr`,
|  | size_t | metadataOffset = `size_t(0)`
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Compression.h